[RESOLVIDO] PIDGIN não funciona com purple-facebook Ubuntu 18.04

#1

E ai pessoal,

E o seguinte, tô com um problema no PIDGIN (sei que o software ta meio em desuso) uso ele com um plugin “purple-facebook” nele consigo conectar ao facebook no pidgin como se fosse uma instância do Messenger. Pidgin traz uma gama de funções bem maior que o Messenger, ficando bem melhor de trocar mensagens. Estava usando o ubuntu 16.04 funcionando normalmente (até ontem 01/02/2019) versão pidgin 2.10.12, atualizei para o ubuntu 18.04 instalei o pidgin versão 2.12.0 padrão do ubuntu 18.04 e agora não consigo usar o “purple-facebook”. Aparece o erro “SSL communication error: b.api.facebook.com”. O pior e que no pidgin no ubuntu 16.04 no campo “certificados” tem varios certificados lá, e no 18.04 no mesmo campo não há nenhum. Outra coisa, instalei o pidgin versão 2.12.0 (mesma da ubuntu 18.04) no Windows e o “purple-facebook” funciona normalmente. Alguem pode me ajudar de alguma forma ? Ja tentei varias coisas e nao funciona. Vlw pessoal.

1 Like

#2

Até onde eu sei, a versão atual do Pidgin não é mais compatível com o Facebook, não conheço nenhuma solução atual pra essa finalidade.

1 Like

#3

Realmente, o pidgin não trabalha com XMPP para facebook, pois foi desativado esse protocolo pelo proprio facebook quando fez aprimoramento do messenger. Porém foi criado uma plugin de conexão para facebook chamado “”purple-facebook” que funciona ate hoje, se baixar o Ubuntu 16.04 ou o windows ele esta completamente funcional, porem no ubuntu 18.04 ele não funciona.

Se quiser saber mais acesse:http://www.webupd8.org/2015/08/use-facebook-chat-in-pidgin-with-purple.html

Pelas minhas pesquisas e pelo erro do pidgin é algo relacionado ao certificado digital que é utilizado, mas não consegui instalar esse certificado. Consegui reparar que no campo certificado do pidgin no Ubuntu 16.04 e no windows estão preenchidos com certificados e no Ubuntu 18.04 não há nenhum. Tentei compilar a versão anterior do pidgin e copiar todas as configurações do Ubuntu 16.04 mas sem sucesso.

0 Likes

#4

Como eu falei, a versão atual do Pidgin não suporta mais o purple-facebook, não estava me referindo ao XMPP.

1 Like

#5

Consegui resolver,

Procurando no GIT do desenvolvedor do “purple-facebook” encontrei um FAQ sobre esse erro. A resolução é simples. Basta ir em "Plugins -> Preferências do NSS -> Marcar para habilitar -> Configurar -> Em versão máxima colocar “TLS 1.2”. Reiniciar o PIDGIN e conectar. Funcionou perfeitamente. Segue o link do FAQ: Facebook again with the SSL Handshake Failed · Issue #408 · dequis/purple-facebook · GitHub.

Agora meu ubuntu ta perfeito. Espero que ajude alguém. Vlw.

2 Likes